<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package twinkle
 */

get_header(); ?>

<div class="wrapper" id="archive-wrapper">
    
    <div  id="content" class="container">

        <div class="row">
        
    	    <div id="primary" class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>col-md-9<?php else : ?>col-md-12<?php endif; ?> content-area">
               
            <main id="main" class="site-main" role="main">
                <header class="page-header">
                    <div class="archive-title">    
                        <?php
                            if (is_category()){ ?>

                                <?php echo '<span class="title">' . esc_html__('Browsing category: ','twinkle') . '</span>'; ?>
                                <?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>
                            
                            <?php } 
                            else if (is_tag()){ ?>

                                <?php echo '<span class="title">' . esc_html__('Posts tagged: ','twinkle') . '</span>'; ?>
                                <?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>   
                            
                            <?php  } else if (is_month()){ ?>

                                <?php echo '<span class="title">' . esc_html__('Posts published: ','twinkle') . '</span>'; ?>
                                <?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>
                            
                            <?php } else {

                                the_archive_title( '<h1 class="page-title">', '</h1>' );

                            }
                            
                            the_archive_description( '<div class="taxonomy-description">', '</div>' );
                        ?>
                    </div>
                </header><!-- .page-header -->
                
                  <?php if ( have_posts() ) : ?>

                    

                    <?php /* Start the Loop */ ?>
                    <?php while ( have_posts() ) : the_post(); ?>

                        <?php
                            /* Include the Post-Format-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                             */
                            get_template_part( 'loop-templates/content-blog-large');
                        ?>

                    <?php endwhile; ?>

                        <?php the_posts_navigation(); ?>

                    <?php else : ?>

                        <?php get_template_part( 'loop-templates/content', 'none' ); ?>

                    <?php endif; ?>

            </main><!-- #main -->
               
    	    </div><!-- #primary -->

        <?php get_sidebar(); ?>

    </div> <!-- .row -->
        
    </div><!-- Container end -->
    
</div><!-- Wrapper end -->

<?php get_footer(); ?>