<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package twinkle
 */

get_header(); ?>

    <?php
    if ( is_front_page() && is_home() ) {

       if ( true == get_theme_mod( 'enable_featured_posts_slider', true ) ) :
            get_template_part( 'featured-posts-slider' );
        else : 
            //do nothing
        endif; 
        
    } else {
    // Do nothing...or?
    }
    ?>

    <div class="wrapper" id="wrapper-index">
        
	   <div id="content" class="container">

            <div class="row">
           
    	       <div id="primary" class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>col-md-9<?php else : ?>col-md-12<?php endif; ?> content-area">
                   
                     <main id="main" class="site-main" role="main">

                    <?php 

                        $blogstyle = get_theme_mod( 'blog_style'); 
                        if ( is_front_page() && is_home() ) {
                            if($blogstyle == 'large'){
                                get_template_part( 'loop-templates/blog-large');
                            }else if($blogstyle == 'grid'){
                                get_template_part( 'loop-templates/blog-grid');
                            }else if($blogstyle == 'first-large'){
                                get_template_part( 'loop-templates/blog-first-large');
                            }else{
                                get_template_part( 'loop-templates/blog-large');
                            }
                        }else { ?>
                            <?php if ( have_posts() ) : ?>

                                <?php /* Start the Loop */ ?>

                                <?php while ( have_posts() ) : the_post(); ?>

                                        <?php
                                            /* Include the Post-Format-specific template for the content.
                                             * If you want to override this in a child theme, then include a file
                                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                             */
                                            get_template_part( 'loop-templates/content-blog-large');
                                        ?>

                                <?php endwhile; ?>
                                
                                <?php the_posts_navigation(); ?>
                                
                            <?php else : ?>

                                <?php get_template_part( 'loop-templates/content', 'none' ); ?>
                                
                            <?php endif; ?>
                        <?php } 

                    ?>
                    
                    
                        
                    </main><!-- #main -->
                   
    	       </div><!-- #primary -->
        
            <?php get_sidebar(); ?>

            </div><!-- .row -->
           
       </div><!-- Container end -->
        
    </div><!-- Wrapper end -->

<?php get_footer(); ?>
