<?php
/**
 * @package twinkle
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('grid-post'); ?>>
    
	<header class="entry-header">
		<a href="<?php the_permalink(); ?>" class="post-image-link">
			<?php echo get_the_post_thumbnail( $post->ID, 'twinkle-post-overview-large' ); ?>
		</a>
	</header><!-- .entry-header -->  
    
	<div class="entry-content">	
		<?php get_template_part( 'section-post-categories' ); ?>
    
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php 
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'twinkle' ),
				'after'  => '</div>',
			) );
		?>
		<div class="row">
			<div class="col-sm-4">
				<a href="<?php the_permalink(); ?>" class="post-link"><span><?php esc_html_e( 'Read article', 'twinkle' ) ?></span></a>
			</div>
			<div class="col-sm-8">
				<div class="post-date">
					<?php the_time( get_option('date_format') ); ?>
				</div>
			</div>
		</div>
		  
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		
	</footer><!-- .entry-footer -->
    
</article><!-- #post-## -->