<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package twinkle
 */

get_header(); ?>
<?php $poststyle = get_post_meta( get_the_ID(), 'twinkle_post_style', true); ?>
<div class="wrapper" id="single-wrapper">
    
    <div  id="content" class="container">

        <div class="row">

            <?php if(!empty($poststyle)){
                if($poststyle == 'Style 3'){
                    get_template_part( 'loop-templates/content', 'single-style3-header' );
                }
            } ?>
        
            <div id="primary" class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>col-md-9<?php else : ?>col-md-12<?php endif; ?> content-area">
                
                <main id="main" class="site-main" role="main">

                    <?php while ( have_posts() ) : the_post(); ?>

                        <?php
                            if(!empty($poststyle)){
                               if($poststyle == 'Style 1'){
                                    get_template_part( 'loop-templates/content', 'single-style1' );
                                } else if($poststyle == 'Style 2'){
                                    get_template_part( 'loop-templates/content', 'single-style2' );
                                } else if($poststyle == 'Style 3'){
                                    get_template_part( 'loop-templates/content', 'single-style3-content' );
                                } 
                            }else {
                                get_template_part( 'loop-templates/content', 'single-style1' );
                            }
                        ?>

                        <?php the_post_navigation(); ?>

                       

                        <?php
                        // If comments are open or we have at least one comment, load up the comment template
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                        ?>
                        
                    <?php endwhile; // end of the loop. ?>

                </main><!-- #main -->
                
            </div><!-- #primary -->
        
        <?php get_sidebar(); ?>

        </div><!-- .row -->
        
    </div><!-- Container end -->
    
</div><!-- Wrapper end -->

<?php get_footer(); ?>
