<?php
/**
 * The template for displaying search results pages.
 *
 * @package twinkle
 */

get_header(); ?>
<div class="wrapper search-wrapper">
    
    <div class="container">

        <div class="row">
        
            <section id="primary" class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>col-md-9<?php else : ?>col-md-12<?php endif; ?> content-area">
                
                <main id="main" class="site-main" role="main">

                <header class="page-header">
                    <div class="archive-title">    
                        
                        <span class="title"><?php esc_html_e('Search results for: ','twinkle');?></span>
                            <h1 class="page-title"><?php echo esc_html(get_search_query()); ?></h1>
                        </span>
                               
                    </div>
                </header><!-- .page-header -->


                <?php if ( have_posts() ) : ?>
                    <div class="search-results-wrapper">
                        <?php /* Start the Loop */ ?>
                        <?php while ( have_posts() ) : the_post(); ?>
                        
                            <div class="col-md-6 blog-grid-item">
                                <?php
                                    get_template_part( 'loop-templates/content-search-grid');
                                ?>
                            </div>
                        <?php endwhile; ?>
                    </div>
                    <?php the_posts_navigation(); ?>

                <?php else : ?>

                    <?php get_template_part( 'loop-templates/content', 'none' ); ?>

                <?php endif; ?>

                </main><!-- #main -->
                
            </section><!-- #primary -->

            <?php get_sidebar(); ?>

        </div><!-- .row -->
    
    </div><!-- Container end -->
    
</div><!-- Wrapper end -->

<?php get_footer(); ?>